# Generated by Django 5.2 on 2025-04-30 22:49

import django.core.validators
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='DnsResolver',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('ip_address', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='DnsResolverList',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('resolvers', models.ManyToManyField(related_name='resolver_lists', to='endpoints.dnsresolver')),
            ],
        ),
        migrations.CreateModel(
            name='EndpointModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('mnemonic', models.CharField(max_length=255)),
                ('hostname', models.CharField(max_length=255)),
                ('scheme', models.CharField(choices=[('http', 'HTTP'), ('https', 'HTTPS')], default='https', max_length=10)),
                ('port', models.IntegerField(default=443, validators=[django.core.validators.MinValueValidator(1), django.core.validators.MaxValueValidator(65535)])),
                ('query', models.CharField(blank=True, max_length=255, null=True)),
                ('fragment', models.CharField(blank=True, max_length=255, null=True)),
                ('healthy_status_code', models.IntegerField(default=200)),
                ('json_response', models.BooleanField(default=True)),
                ('status_key', models.CharField(default='status', max_length=255)),
                ('healthy_status', models.CharField(default='OK', max_length=255)),
                ('version_key', models.CharField(default='version', max_length=255)),
                ('connect_timeout', models.FloatField(default=7.0)),
                ('read_timeout', models.FloatField(default=7.0)),
                ('ignore', models.BooleanField(default=False)),
                ('path', models.CharField(default='/', max_length=255)),
                ('dns_resolver_list', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='endpoints', to='endpoints.dnsresolverlist')),
            ],
        ),
    ]
